# Class EditingEditFeature

#### Hierarchy

- EditingEditFeature

- Defined in src/editing/EditFeature.js:46

#####
Index

### Properties

baseUrl_
http_

### Methods

deleteFeature
getFeaturesInExtent
getFeaturesWithComparisonFilters
insertFeatures
updateFeature

## Properties

### baseUrl_

baseUrl_: string

URL to the GeoMapFish layers service. Required in applications that use:

- the editfeature tools
- the objectediting tools

- Defined in src/editing/EditFeature.js:59

### http_

http_: IHttpService

- Defined in src/editing/EditFeature.js:50

## Methods

### deleteFeature

- deleteFeature(layerId: number, feature: Feature<Geometry>): IHttpPromise<string | Node | Document | ArrayBuffer>

- ### Returns

  Promise.

  #### Parameters

  - ##### layerId: number

    The layer id that contains the feature.

  - ##### feature: Feature<Geometry>

    The feature to delete.

  #### Returns IHttpPromise<string | Node | Document | ArrayBuffer>

  - Defined in src/editing/EditFeature.js:154

### getFeaturesInExtent

- getFeaturesInExtent(layerIds: number[], extent: Extent): IPromise<Feature<Geometry>[]>

- Build a query to the MapFish protocol to fetch features from a list of layer ids inside a specified extent.

  ### Returns

  Promise.

  #### Parameters

  - ##### layerIds: number[]

    List of layer ids to get the features from.

  - ##### extent: Extent

    The extent where to get the features from.

  #### Returns IPromise<Feature<Geometry>[]>

  - Defined in src/editing/EditFeature.js:70

### getFeaturesWithComparisonFilters

- getFeaturesWithComparisonFilters(layerIds: string[], filters: ComparisonFilter[]): IPromise<Feature<Geometry>[]>

- Build a query to the MapFish protocol to fetch features from a list of layer ids and a list of comparison filters.

  This method is called in the ObjectEditing service, which is injected in the permalink service, i.e. it's always called. Since we don't have to define the url to the GMF Protocol (layers) a dummy promise returns an empty array of features if the url is not defined.

  ### Returns

  Promise.

  #### Parameters

  - ##### layerIds: string[]

    List of layer ids to get the features from.

  - ##### filters: ComparisonFilter[]

    List of comparison filters

  #### Returns IPromise<Feature<Geometry>[]>

  - Defined in src/editing/EditFeature.js:97

### insertFeatures

- insertFeatures(layerId: number, features: Feature<Geometry>[]): IHttpPromise<string | Node | Document | ArrayBuffer>

- ### Returns

  Promise.

  #### Parameters

  - ##### layerId: number

    The layer id that contains the feature.

  - ##### features: Feature<Geometry>[]

    List of features to insert.

  #### Returns IHttpPromise<string | Node | Document | ArrayBuffer>

  - Defined in src/editing/EditFeature.js:126

### updateFeature

- updateFeature(layerId: number, feature: Feature<Geometry>): IHttpPromise<string | Node | Document | ArrayBuffer>

- ### Returns

  Promise.

  #### Parameters

  - ##### layerId: number

    The layer id that contains the feature.

  - ##### feature: Feature<Geometry>

    The feature to update.

  #### Returns IHttpPromise<string | Node | Document | ArrayBuffer>

  - Defined in src/editing/EditFeature.js:140

Generated using TypeDoc